import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class SimpleHtmlServlet extends HttpServlet {

	private static final long serialVersionUID = -4410439333108337344L;

	public void doGet(HttpServletRequest req, HttpServletResponse resp) 
	    throws IOException, ServletException {

		PrintWriter out = resp.getWriter();

		resp.setContentType("text/html");
		out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">");
		out.println("<HTML>");
		out.println("<HEAD><TITLE>SimpleHtmlServlet</TITLE></HEAD>");
		
		out.println("<BODY>");
		Enumeration e = req.getParameterNames();
		while (e.hasMoreElements()) {
			String pname = (String)e.nextElement();
			out.println(pname + " = " + req.getParameter(pname) + "<BR>");
		}
		out.println("</BODY>");
		out.println("</HTML>");
	}

}

